"use strict";

module.exports = {
  arithmetic: false,
  // Use arithmetic coding (https://en.wikipedia.org/wiki/Arithmetic_coding)
  dcScanOpt: 2,
  // DC scan optimization mode (see mozjpeg options for explanation)
  dct: 'int',
  // Set DCT method (https://en.wikipedia.org/wiki/Discrete_cosine_transform)
  fastCrush: false,
  // Disable progressive scan optimization.
  overshoot: true,
  // Black-on-white deringing via overshoot.
  progressive: true,
  // `false` creates baseline JPEG file.
  quality: 75,
  // Number from 0 (worst) to 100 (best)
  revert: false,
  // Revert to standard defaults instead of mozjpeg defaults.
  targa: false,
  // Input file is Targa format (usually not needed).
  trellis: true,
  // Enable Trellis quantization (https://en.wikipedia.org/wiki/Trellis_quantization)
  tune: 'hvs-psnr' // Set Trellis optimization method. Available methods: `psnr`, `hvs-psnr`, `ssim`, `ms-ssim`

};